// hier Package-Definitioneinfuegen, z.B. package syntax;


import java.util.TreeMap;
import java.net.*;
import java.io.*;
/**
 * test client for SyntaxSocket
 */
public class TestClient {

    /**
     * gets the server at "localhost", socket #4711
     * exit client with ^C
     * shutdown server & exit client with "shutdown"
     */
    public static void main(String[] args) throws java.net.UnknownHostException, java.io.IOException {
	
	// make new client socket
	Socket socket = new Socket("localhost",4711);

	// initialize I/O Streams
	PrintWriter out = new PrintWriter(socket.getOutputStream(), true);
        BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()));

	BufferedReader stdIn = new BufferedReader(new InputStreamReader(System.in));

	// read user keyboard input until user terminates program
	String fromServer,fromUser="";
	while ((fromServer = in.readLine()) != null) {
	    System.out.println("Server: " + fromServer);

	    fromUser = stdIn.readLine();
	    if (fromUser != null) {
		System.out.println("Client: " + fromUser);
		out.println(fromUser);
	    }
	    if(fromUser.equals("shutdown")) {
		out.close();
		in.close();
		stdIn.close();
		socket.close();
		System.exit(0);	    
	    }
	}

	// please be tidy
	out.close();
	in.close();
	stdIn.close();
	socket.close();
    }
}
